#!/bin/bash

#移动所选文件到：某个目录（支持列表）。
#------------ 产生自动目录 ----------
#rm ~/tmp
dir=`dirname $1`;current_dir=${dir##\/*\/};num=0
auto_dir=${dir}/${current_dir}-自动-${num}

while [ -d ${auto_dir} ]
do
((num ++))
if ((num>100)); then exit; fi
auto_dir=${dir}/${current_dir}-自动-${num}
done
#------------ 选择窗口 -------------
item=`zenity --width=600 --height=300 --title='移动所选文件到：' --list --text='将移动到以下目录，请选择' --column='目录列表' --column='说明' ${auto_dir} 自动排序生成的目录 $HOME 家目录 ${HOME}/媒体 媒体目录 ${HOME}/下载 下载目录 ${HOME}/文档 文档目录 other... 新建或者打开其他目录`

#------------ 选择其他目录 -------------
if [ ${item} == "other..." ]; then
item=`zenity --file-selection --directory --title=选择其他目录`
fi

[ -z ${item} ] && exit 1;
if [ ! -d ${item} ]; then
eval mkdir "'"${item}"'"
fi

while [ $# -gt 0 ]; do
eval mv "'"$1"'" "'"${item}\/"'"

shift
done
exit 0

